Error compiling Riak from source

Mathias Meyer mathias at basho.com
Tue Aug 9 06:24:39 EDT 2011


The wiki refers to the current stable release of Riak, which is 0.14.2, and which still relies on Erlang R13B04. To compile the current development master, e.g. to try out secondary indexes, you need to use Erlang R14B03 instead.

Mathias Meyer
Developer Advocate, Basho Technologies


On Dienstag, 9. August 2011 at 12:22, Morten Siebuhr wrote:

> Hi all,
> 
> I've tried to compile Riak from the Github sources (for testing
> secondary indices), but to no avail. I installed Erlang R14B04 per the
> wiki instructions, but when I use that to compile Riak itself, I get
> the following error:
> 
> $ make rel
> ...
> ERROR: OTP release R13B04 does not match required regex R14B0[23]
> make: *** [rel] Error 1
> 
> (The regex is found in rebar.config.)
> 
> Is this a bug or, more likely, am I missing something important
> between installing R14B04 and compiling Riak?
> 
> -- 
> Morten Siebuhr
> 
> _______________________________________________
> riak-users mailing list
> riak-users at lists.basho.com (mailto:riak-users at lists.basho.com)
> http://lists.basho.com/mailman/listinfo/riak-users_lists.basho.com






More information about the riak-users mailing list